#
# spec file for package python-dirtyjson
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-dirtyjson
Version:        1.0.8
Release:        1.9
Summary:        Python JSON decoder that can extract data from dirty input
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/codecobblers/dirtyjson
Source:         https://files.pythonhosted.org/packages/source/d/dirtyjson/dirtyjson-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
JSON decoder for Python that can extract data from dirty input.

%prep
%autosetup -p1 -n dirtyjson-%{version}

%build
%python_build

%install
%python_install
%python_expand rm -r %{buildroot}%{$python_sitelib}/dirtyjson/tests
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc CHANGES.txt README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Fri Feb 10 2023 Dirk Müller <dmueller@suse.com>
- update to 1.0.8:
  * Add Python 3.10 support
- drop support-python-310.patch (upstream)
* Mon Jan 24 2022 Steve Kowalik <steven.kowalik@suse.com>
- Add patch support-python-310.patch:
  * Support Python 3.10.
* Tue May 18 2021 pgajdos@suse.com
- use %%pytest macro in %%check
* Wed Apr  3 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.0.7
